> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search payers (Thrivory Payer IDs)

> Returns payer directory entries. Use `system=internal` to filter to Thrivory payer identifiers.



## OpenAPI

````yaml api-reference/openapi.json get /v1/metadata/payers
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/metadata/payers:
    get:
      tags:
        - Metadata
      summary: Search payers (Thrivory Payer IDs)
      description: >-
        Returns payer directory entries. Use `system=internal` to filter to
        Thrivory payer identifiers.
      parameters:
        - name: q
          in: query
          schema:
            type: string
          description: Search by name, alias, or ID
        - name: system
          in: query
          schema:
            type: string
            enum:
              - Thrivory
          description: Identifier system (currently 'internal')
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: List of payers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Payer'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
      description: Max results to return
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
      description: Opaque pagination cursor
  schemas:
    Payer:
      type: object
      properties:
        id:
          type: string
          description: Payer ID in the specified system (e.g., 'thrivoryid:123456')
        system:
          type: string
          enum:
            - Thrivory
          description: Identifier system
        name:
          type: string
        aliases:
          type: array
          items:
            type: string
      required:
        - id
        - system
        - name
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
  responses:
    BadRequest:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````